USE COWS
GO

ALTER TABLE dbo.REDSGN
	ADD NTE_LVL_EFFORT_AMT decimal(10,2),
		PM_LVL_EFFORT_AMT decimal(10,2),
		SE_LVL_EFFORT_AMT decimal(10,2)
GO
	
Update dbo.REDSGN
	SET NTE_LVL_EFFORT_AMT = LVL_EFFORT_AMT

GO

ALTER TABLE dbo.REDSGN
	DROP COLUMN LVL_EFFORT_AMT
GO


USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN]    Script Date: 11/02/2015 13:30:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE dbo.REDSGN_DOC(
	[REDSGN_DOC_ID] [int] IDENTITY(1,1) NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[FILE_NME] [varchar](100) NOT NULL,
	[FILE_CNTNT] [varbinary](max) NOT NULL,
	[FILE_SIZE_QTY] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] ,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[REDSGN_DEV_STUS_ID] [smallint] NULL,
	[MODFD_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_REDSGN_DOC] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DOC_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[REDSGN_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_DOC] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[REDSGN_DOC] CHECK CONSTRAINT [FK01_REDSGN_DOC]
GO

ALTER TABLE [dbo].[REDSGN_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK02_REDSGN_DOC] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[REDSGN_DOC] CHECK CONSTRAINT [FK02_REDSGN_DOC]
GO

ALTER TABLE [dbo].[REDSGN_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK03_REDSGN_DOC] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN_DOC] CHECK CONSTRAINT [FK03_REDSGN_DOC]
GO





	

-- Add [NTE_CHRG_CD]
ALTER TABLE dbo.REDSGN_DEVICES_INFO
ADD [NTE_CHRG_CD] BIT NULL
GO

UPDATE dbo.REDSGN_DEVICES_INFO SET [NTE_CHRG_CD] = 0
GO

ALTER TABLE dbo.REDSGN_DEVICES_INFO
ALTER COLUMN [NTE_CHRG_CD] BIT NOT NULL
GO

-- Remove EVENT_ID and EVENT_CMPLTN_DT columns

ALTER TABLE dbo.REDSGN_DEVICES_INFO
DROP CONSTRAINT [FK05_REDSGN_DEVICES_INFO]
GO

ALTER TABLE dbo.REDSGN_DEVICES_INFO
DROP COLUMN EVENT_ID
GO

ALTER TABLE dbo.REDSGN_DEVICES_INFO
DROP COLUMN EVENT_CMPLTN_DT
GO

--Add new column [DEV_BILL_DT] column
ALTER TABLE dbo.REDSGN_DEVICES_INFO
ADD [DEV_BILL_DT] DATETIME NULL
GO


--Create New Redesign table to maintain Device+Eventid+Completion history

CREATE TABLE [dbo].[REDSGN_DEV_EVENT_HIST]
(
	[REDSGN_DEV_EVENT_HIST_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_DEV_ID] [int] NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[CMPLTD_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_REDSGN_DEV_EVENT_HIST_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_REDSGN_DEV_EVENT_HIST] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DEV_EVENT_HIST_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] CHECK CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST]
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK02_REDSGN_DEV_EVENT_HIST] FOREIGN KEY([REDSGN_DEV_ID])
REFERENCES [dbo].[REDSGN_DEVICES_INFO] ([REDSGN_DEV_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] CHECK CONSTRAINT [FK02_REDSGN_DEV_EVENT_HIST]
GO